diff --git a/lib/yashchiki/fetch.sh b/lib/yashchiki/fetch.sh
index e8b0b0fea4cf71b3770a57b0ceb9ff059a27a52f..4f0c825070cda7f5b441c77b7e07d10ac6567d33 100755
--- a/lib/yashchiki/fetch.sh
+++ b/lib/yashchiki/fetch.sh
@@ -125,6 +125,7 @@ for package in "${packages_to_spec[@]}"; do
         ( specfile=$(get_specfile_name "${package}");
         (${MY_SPACK_CMD} spec --fresh -y "${package}" > "${specfile}")
         ) 2>"${tmp_err}" \
+        && ( echo "concretized: ${package}." ) \
         || ( echo "CONCRETIZING FAILED" >> "${tmpfiles_concretize_err[0]}" );
     ) &
 done
@@ -148,6 +149,9 @@ if [ -n "${SPACK_ENVIRONMENT:-}" ]; then
     ) && echo "done." || (echo "FAILED."; exit 1)
 fi
 
+echo "elements of tmpfiles_concretize_err: ${tmpfiles_concretize_err[@]}" || true
+grep -H . "${tmpfiles_concretize_err[@]}" || true
+
 # verify that all concretizations were successful
 if (( $(cat "${tmpfiles_concretize_err[@]}" | wc -l) > 0 )); then
     {